% Generate Figures 2
% Compute AMSE as a function of the ratio of the second derivatives

clear;

var0 = 0.1295^2;
b1 = -0.1;
v = 24/5;
f = 0.625;
f1 = -1.25;
n = 500;

Ck = (b1^2*v^4/f^4)^(1/5);

m2pt = -3*2;
m2mt = 7.18*2;
m3pt = 7.99*6;
m3mt = 20.21*6;

m20 = m2mt;
m21 = m2pt;

% IK bandwidth
np = .1875*n;
nm = .8125*n;


% MMSE bandwidths
ngrid = 2000;
AMSE_AI = zeros(2,ngrid);
AMSE_IK = zeros(2,ngrid);
AMSE_IND = zeros(1,ngrid);
Ratio = zeros(3,ngrid);
AMSE_IK_test = zeros(2,ngrid);
xaxis = zeros(1,ngrid);
mult = 3;

for rite = 1:ngrid
    r = 0.01*rite;
    xaxis(1,rite) = r;

    g1 = r;
    for g2ite=1:3
        if g2ite==1
            g2 = .5;
        elseif g2ite==2
            g2 = 1;
        else
            g2 = 2;
        end

        AMSE_AI(1,rite) = ((g1*g2^2)^(1/3)+1)^(6/5);
        AMSE_IK(1,rite) = (g1+1)^(2/5)*(g2+1)^(4/5);
        AMSE_IND(1,rite) = (g1^(1/5)*g2^(2/5)+1)^2/5 + (4/5)*(g1^(2/5)*g2^(4/5)+1);
        Ratio(g2ite,rite) = AMSE_AI(1,rite)/AMSE_IK(1,rite);
    end
end
    
    
    Figure2=figure(1);clf;
    set(Figure2,'defaulttextinterpreter','latex');
    plot(xaxis,Ratio(1,:),'-k',xaxis,Ratio(2,:),'-.k',xaxis,Ratio(3,:),'--k');
    legend('\gamma_2=0.5','\gamma_2=1','\gamma_2=2','Location','southeast')
    axis([0 xaxis(ngrid) 0.55 1]);
    xlabel('$\gamma_1$')
    ylabel('Efficiency')
    grid on
    grid minor
    set(gca,'fontname','times')
    
    
    




