% Generate Figures 2
% Compute AMSE as a function of the ratio of the second derivatives

clear;

var0 = 0.1295^2;
b1 = -0.1;
v = 24/5;
f = 0.625;
f1 = -1.25;
n = 500;

Ck = (b1^2*v^4/f^4)^(1/5);

m2pt = -3*2;
m2mt = 7.18*2;
m3pt = 7.99*6;
m3mt = 20.21*6;

m20 = m2mt;
m21 = m2pt;

% IK bandwidth
np = .1875*n;
nm = .8125*n;


% MMSE bandwidths
ngrid = 100;
inc = 1/ngrid;
AMSE_AI = zeros(ngrid,ngrid);
AMSE_IK = zeros(ngrid,ngrid);
AMSE_IND = zeros(ngrid,ngrid);
Ratio = zeros(2,ngrid);
xaxis = zeros(1,ngrid);

for rite1 = 1:ngrid
    for rite2 = 1:ngrid
        r1 = inc*(rite1-1);
        r2 = inc*(rite2-1);
        xaxis(1,rite1) = r1;

        g1 = r1;
        g2 = r2;

        AMSE_AI(rite1,rite2) = ((g1*g2^2)^(1/3)+1)^(6/5);
        AMSE_IK(rite1,rite2) = (g1+1)^(2/5)*(g2+1)^(4/5);
        AMSE_IND(rite1,rite2) = (g1^(1/5)*g2^(2/5)+1)^2/5 + (4/5)*(g1^(2/5)*g2^(4/5)+1);
        Ratio(rite1,rite2) = AMSE_AI(rite1,rite2)/AMSE_IK(rite1,rite2);
    end
end

Figure1=figure(1);clf;
set(Figure1,'defaulttextinterpreter','latex');
zlevs = [0.8 0.85 0.95 0.99 0.999];
contour(xaxis,xaxis,Ratio,zlevs,'Showtext','on')
xlabel('$\gamma_1$')
ylabel('$\gamma_2$')
zlabel('Efficiency')
colormap(gray)
set(gca,'fontname','times')
    




