function fhat = density_est(X,y,k,h)

% Purpose: estimate density at a point
% --------------------------------------------
% Usage: results = density_est
%       X = a column vector of scalar random variables
%       y = point to estimate
%       k = choice of kernel function
%           k = 1, Gaussian
%           k = 2, Epanechnikov kernel
%       h = bandwidth
% --------------------------------------------

nobs = size(X,1);
A_h = (X-y)/h;
if k==1
    ExpA_h = sum(exp(-A_h.^2/2))/sqrt(2*pi);
else
    ExpA_h = 3*sum((abs(A_h)<1).*(1-A_h.^2))/4;
end
fhat = ExpA_h/nobs/h;
