
clear;

n=10000;        % number of iteration
ngrid = 100;    
cov_mat = zeros(4,ngrid);
h_result = zeros(4*4,4);
tau_bias_all = zeros(4*4,2);
delta_bias_all = zeros(2*4,4);

for D=1:4
    if D==1
        gwidth = .0015;
    elseif D==2
        gwidth = .003;
    elseif D==3
        gwidth = .0018;
    else
        gwidth = .0018;
    end
    xaxis = gwidth:gwidth:gwidth*ngrid;
    
    if D==1            
        load('SRD_delta_D1_16_n500.mat');
        delta_bias_mat_ik09 = delta_bias_mat(:,3:4);
        delta_bias_mat_ai = delta_bias_mat(:,1:2);
        
        load('SRD_h_D1_16_n500'); 
        h_mat_aip = h_mat(:,1);
        h_mat_aim = h_mat(:,5);
        h_mat_indp = h_mat(:,2);
        h_mat_indm = h_mat(:,6);
        h_mat_ik09 = h_mat(:,3);
        h_mat_cct = h_mat(:,4);
         
        load('SRD_tau_D1_16_n500');
        tau_bias_mat_ai = tau_bias_mat(:,1);
        tau_bias_mat_ind = tau_bias_mat(:,2);
        tau_bias_mat_ik09 = tau_bias_mat(:,3);
        tau_bias_mat_cct = tau_bias_mat(:,4);     
              
    elseif D==2
        load('SRD_delta_D2_16_n500.mat');
        delta_bias_mat_ik09 = delta_bias_mat(:,3:4);
        delta_bias_mat_ai = delta_bias_mat(:,1:2);
        
        load('SRD_h_D2_16_n500'); 
        h_mat_aip = h_mat(:,1);
        h_mat_aim = h_mat(:,5);
        h_mat_indp = h_mat(:,2);
        h_mat_indm = h_mat(:,6);
        h_mat_ik09 = h_mat(:,3);
        h_mat_cct = h_mat(:,4);
         
        load('SRD_tau_D2_16_n500');
        tau_bias_mat_ai = tau_bias_mat(:,1);
        tau_bias_mat_ind = tau_bias_mat(:,2);
        tau_bias_mat_ik09 = tau_bias_mat(:,3);
        tau_bias_mat_cct = tau_bias_mat(:,4);    

    elseif D==3
        load('SRD_delta_D3_16_n500.mat');
        delta_bias_mat_ik09 = delta_bias_mat(:,3:4);
        delta_bias_mat_ai = delta_bias_mat(:,1:2);
        
        load('SRD_h_D3_16_n500'); 
        h_mat_aip = h_mat(:,1);
        h_mat_aim = h_mat(:,5);
        h_mat_indp = h_mat(:,2);
        h_mat_indm = h_mat(:,6);
        h_mat_ik09 = h_mat(:,3);
        h_mat_cct = h_mat(:,4);
         
        load('SRD_tau_D3_16_n500');
        tau_bias_mat_ai = tau_bias_mat(:,1);
        tau_bias_mat_ind = tau_bias_mat(:,2);
        tau_bias_mat_ik09 = tau_bias_mat(:,3);
        tau_bias_mat_cct = tau_bias_mat(:,4);    

    else
        load('SRD_delta_D4_16_n500.mat');
        delta_bias_mat_ik09 = delta_bias_mat(:,3:4);
        delta_bias_mat_ai = delta_bias_mat(:,1:2);
        
        load('SRD_h_D4_16_n500'); 
        h_mat_aip = h_mat(:,1);
        h_mat_aim = h_mat(:,5);
        h_mat_indp = h_mat(:,2);
        h_mat_indm = h_mat(:,6);
        h_mat_ik09 = h_mat(:,3);
        h_mat_cct = h_mat(:,4);
         
        load('SRD_tau_D4_16_n500');
        tau_bias_mat_ai = tau_bias_mat(:,1);
        tau_bias_mat_ind = tau_bias_mat(:,2);
        tau_bias_mat_ik09 = tau_bias_mat(:,3);
        tau_bias_mat_cct = tau_bias_mat(:,4);    
        
    end
    
    h_mat = [h_mat_aip h_mat_indp h_mat_ik09 h_mat_cct h_mat_aim h_mat_indm];
    h_mean = mean(h_mat);
    h_sd = sqrt(var(h_mat));
    h_result(4*(D-1)+1:4*(D-1)+4,1) = h_mean(1,1:4)';
    h_result(4*(D-1)+1,3) = h_mean(1,5);
    h_result(4*(D-1)+2,3) = h_mean(1,6);
    h_result(4*(D-1)+1:4*(D-1)+4,2) = h_sd(1,1:4)';
    h_result(4*(D-1)+1,4) = h_sd(1,5);
    h_result(4*(D-1)+2,4) = h_sd(1,6);
    
    tau_bias1 = tau_bias_mat_ai;
    tau_bias2 = tau_bias_mat_ind;
    tau_bias3 = tau_bias_mat_ik09;
    tau_bias4 = tau_bias_mat_cct;   
    
    trimper = 5;
    tau_bias_all(4*(D-1)+1,1) = trimmean(tau_bias1,trimper);
    tau_bias_all(4*(D-1)+2,1) = trimmean(tau_bias2,trimper);
    tau_bias_all(4*(D-1)+3,1) = trimmean(tau_bias3,trimper);
    tau_bias_all(4*(D-1)+4,1) = trimmean(tau_bias4,trimper);
      
    tau_bias1_absort = sort(tau_bias_mat_ai);
    tau_bias2_absort = sort(tau_bias_mat_ind);
    tau_bias3_absort = sort(tau_bias_mat_ik09);
    tau_bias4_absort = sort(tau_bias_mat_cct);   
    
    tau_bias_all(4*(D-1)+1,2) = sqrt(mean(tau_bias1_absort(251:9750,:).^2));
    tau_bias_all(4*(D-1)+2,2) = sqrt(mean(tau_bias2_absort(251:9750,:).^2));
    tau_bias_all(4*(D-1)+3,2) = sqrt(mean(tau_bias3_absort(251:9750,:).^2));
    tau_bias_all(4*(D-1)+4,2) = sqrt(mean(tau_bias4_absort(251:9750,:).^2));
    
    delta_bias_all(2*(D-1)+1,1) = mean(delta_bias_mat_ai(:,1));
    delta_bias_all(2*(D-1)+1,2) = sqrt(mean(delta_bias_mat_ai(:,1).^2));
    delta_bias_all(2*(D-1)+1,3) = mean(delta_bias_mat_ai(:,2));    
    delta_bias_all(2*(D-1)+1,4) = sqrt(mean(delta_bias_mat_ai(:,2).^2));
    delta_bias_all(2*(D-1)+2,1) = mean(delta_bias_mat_ik09(:,1));
    delta_bias_all(2*(D-1)+2,2) = sqrt(mean(delta_bias_mat_ik09(:,1).^2));
    delta_bias_all(2*(D-1)+2,3) = mean(delta_bias_mat_ik09(:,2));    
    delta_bias_all(2*(D-1)+2,4) = sqrt(mean(delta_bias_mat_ik09(:,2).^2));

    
    all_result = [h_result tau_bias_all];

    for j=1:ngrid
        bin1 = (abs(tau_bias1) < gwidth*(j-1));
        bin2 = (abs(tau_bias2) < gwidth*(j-1));
        bin3 = (abs(tau_bias3) < gwidth*(j-1));
        bin4 = (abs(tau_bias4) < gwidth*(j-1));
        cov_mat(1,j) = sum(bin1)/n;
        cov_mat(2,j) = sum(bin2)/n;
        cov_mat(3,j) = sum(bin3)/n;
        cov_mat(4,j) = sum(bin4)/n;
    end

    cov_mat;
    

    h=figure;
    plot(xaxis,cov_mat(1,:),'-k',xaxis,cov_mat(2,:),':k',xaxis,cov_mat(3,:),'--k',xaxis,cov_mat(4,:),'-.k')
    legend('MMSE','IND','IK','CCT','Location','southeast')
    xlabel('Deviation')
    ylabel('Fraction')
    grid on
    grid minor
    set(gca,'fontname','times')

end

disp('Table 1 (n=500)')
all_result

disp('Table 3')
delta_bias_all
