% RD Estimates of the Effect of Head Start Assitance on HS spending using Ludwig-Miller
% (2007) data

% 1968 HS spending

data1 = load('ludwig_miller_tab2_hsp68.txt');
povrate60 = data1(:,3); % povrate60
y1 = data1(:,1); % hsspend_per_kid_68



c = 59.1984; % cut-off point
x = povrate60;
w = (x>=c);

disp('Result of HS spending 1968')

y=y1;

outmmse1 = rddmmse_v01(x,y,c);
hmmse = outmmse1.h;
bmmse = outmmse1.b2;
MMSE = rddci_mmse_v01(x,y,c,hmmse*2,bmmse)

outik1 = rddik_09(x,y,c);
hik = outik1.h;
hik_opt = [hik hik]*2;
IK = rddci_cct(x,y,c,hik_opt,hik_opt)

outcct1 = rddcct(x,y,c);
hcct = outcct1.h;
hcct_opt = [hcct hcct]*2;
CCT = rddci_cct(x,y,c,hcct_opt,hcct_opt)


disp('Result of HS spending 1972')

data2 = load('ludwig_miller_tab2_hsp72.txt');
povrate60 = data2(:,3); % povrate60
y2 = data2(:,1); % hsspend_per_kid_72

y=y2;

outmmse2 = rddmmse_v01(x,y,c);
hmmse = outmmse2.h;
bmmse = outmmse2.b2;
MMSE = rddci_mmse_v01(x,y,c,hmmse*2,bmmse)

outik2 = rddik_09(x,y,c);
hik = outik2.h;
hik_opt = [hik hik]*2;
IK = rddci_cct(x,y,c,hik_opt,hik_opt)

outcct2 = rddcct(x,y,c);
hcct = outcct2.h;
hcct_opt = [hcct hcct]*2;
CCT = rddci_cct(x,y,c,hcct_opt,hcct_opt)


beep